ContinuousAveragingAsianOption::arguments Class Reference

Extra arguments for single-asset continuous-average Asian option. More...

`#include <ql/instruments/asianoption.hpp>`

Inheritance diagram for ContinuousAveragingAsianOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

Average::Type | averageType
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Extra arguments for single-asset continuous-average Asian option.